Need help with ndiswrapper

Jeff Vian jvian10 at charter.net
Sun Jul 31 23:05:43 UTC 2005


On Sun, 2005-07-31 at 14:24 -0700, Patrick McCarthy wrote:
> Hi,
> I'm new to Linux and need a little help installing ndiswrapper.  I've
> installed FC4 on my desktop and downloaded updates with Up2date.  I have
> been unable to get my linksys WMP54Gv.4 wireless card recognized by the
> network wizard.  I have downloaded ndiswrapper in order to install the
> windows xp driver for the card, but am having trouble following all the
> install instructions on the ndiswrapper
> website-http://ndiswrapper.sourceforge.net/mediawiki/index.php/Installation
> 
> I used the 
> ln -s /usr/src/linux-<kernel-version> /lib/modules/VERSION/build command
> to build a link to the source, inserting '2.6.11-1.1396_FC4' as the
> version.  
You don't need that link

Instead verify that you have the kernel-devel package installed.

> The next step went o.k.-'make distclean' in the ndiswrapper-1.2
> directory, but the 'make' command produced a 'no link' error.  Sure
> enough, upon clicking the /lib/modules/2.6.11-1.1369_FC4/build and
> source files it said there was no link.
> How do I find out if I have the source.  If not, how do I get it? 
> What is 'the source'. Why wouldn't it have been installed with FC4?
> Thanks,

You don't need the source.  You need only the kernel-devel package for
your currently running kernel version.

to make sure everything is there run "rpm -qa kernel\*"
it should give you the lines as

[jeff at eye_gore ~]$ rpm -qa kernel\*
kernel-devel-2.6.12-1.1372_FC3
kernel-2.6.12-1.1372_FC3

Once you have verified the 2 packages listed are installed and match the
running kernel with "uname -a" then repeat the make step.

Note that my listed versions are the current ones for FC3 so yours will
be different for FC4.


> Patrick 
> 




More information about the users mailing list